## org.eclipse.datatools.enablement.sqlite.driver
Class SQLiteDriverValuesProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.DefaultDriverValuesProvider
          org.eclipse.datatools.enablement.sqlite.driver.SQLiteDriverValuesProvider

All Implemented Interfaces:
  IDriverValuesProvider

    public class SQLiteDriverValuesProvider

extends DefaultDriverValuesProvider
implements IDriverValuesProvider

Driver Values Provider class for SQLite that checks to see if the SQLite JDBC driver is wrapped in the environment. If so, it will try to find the pure version of the driver and adjust the jar list accordingly.

Author:
  brianf

Field Summary
`static java.lang.String` `SQLITE_DRIVER_JAR_PURE`
`static java.lang.String` `SQLITE_DRIVER_PLUGIN_ID`

Fields inherited from interface org.eclipse.datatools.connectivity.drivers.IDriverValuesProvider
`VALUE_CREATE_DEFAULT, VALUE_DEFAULT_DEFINITION_NAME, VALUE_JARLIST, VALUE_NAME`

Constructor Summary
`SQLiteDriverValuesProvider()`

Method Summary
`java.lang.String` `createDefaultValue(java.lang.String key)`

Methods inherited from class org.eclipse.datatools.connectivity.drivers.DefaultDriverValuesProvider
`getDriverTemplate, setDriverTemplate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.drivers.IDriverValuesProvider
`getDriverTemplate, setDriverTemplate`

Field Detail

### SQLITE_DRIVER_PLUGIN_ID

    public static java.lang.String SQLITE_DRIVER_PLUGIN_ID

### SQLITE_DRIVER_JAR_PURE

    public static java.lang.String SQLITE_DRIVER_JAR_PURE

Constructor Detail

### SQLiteDriverValuesProvider

    public SQLiteDriverValuesProvider()

Method Detail

### createDefaultValue

    public java.lang.String createDefaultValue(java.lang.String key)

  Specified by:
    `createDefaultValue` in interface `IDriverValuesProvider`
  Overrides:
    `createDefaultValue` in class `DefaultDriverValuesProvider`